Subject: bug#18512: 24.3.93; tramp persistency file: incompatible with old versions? Tramp won't start!

From: Glenn Morris <[email-masked]>
Date: Sat, 20 Sep 2014 04:09:42 -0400

Michael Albinus wrote:

> Tramp's persistency file is not something which shall be loaded by (load
> "tramp" nil). Its default location is (locate-user-emacs-file "tramp")
>
> If the directory is in the load-path, and if it is before the directory
> where Tramp *.el[c] files reside, it might be that (load "tramp" nil)
> takes the wrong file. Maybe, we shall move it either into a subdirectory
> of "~/.emacs.d/", or we shall give it another name.

We already added a startup warning if user-emacs-directory is in
load-path, for precisely this kind of reason. (Eg calc has similar issues.)

user-emacs-directory is not in load-path by default, so the question is;
how did it come to be in load-path, and why was the warning not seen?